ch.qos.logback.core.net.ssl

## Class SSLNestedComponentRegistryRules

- java.lang.Object
- - ch.qos.logback.core.net.ssl.SSLNestedComponentRegistryRules

    public class SSLNestedComponentRegistryRules
    extends java.lang.Object

Nested component registry rules for `SSLConfiguration` and its components.

Author:
  Carl Harris

### Constructor Summary

Constructors
Constructor and Description
`SSLNestedComponentRegistryRules()`

### Method Summary

Methods
`static void` `addDefaultNestedComponentRegistryRules(DefaultNestedComponentRegistry registry)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SSLNestedComponentRegistryRules

    public SSLNestedComponentRegistryRules()

### Method Detail

#### addDefaultNestedComponentRegistryRules

    public static void addDefaultNestedComponentRegistryRules(DefaultNestedComponentRegistry registry)